Bug 122910 - [maintainer] databases/phpmyadmin, net/phpldapadmin, net/phpldapadmin098 /usr/sbin/pw -> ${PW}
Summary: [maintainer] databases/phpmyadmin, net/phpldapadmin, net/phpldapadmin098 /usr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-19 13:10 UTC by Matthew Seaman
Modified: 2008-04-24 23:30 UTC (History)
0 users

See Also:


Attachments
phpmyadmin.diff (1.14 KB, patch)
2008-04-19 13:10 UTC, Matthew Seaman
no flags Details | Diff
phpldapadmin098.diff (1.12 KB, patch)
2008-04-19 13:10 UTC, Matthew Seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman 2008-04-19 13:10:06 UTC
Now that ports/119821 has been committed, use the ${PW} variable.

Fix: diff -Nur /usr/ports/net/phpldapadmin/Makefile phpldapadmin/Makefile
--- /usr/ports/net/phpldapadmin/Makefile	2008-03-09 04:45:38.000000000 +0000
+++ phpldapadmin/Makefile	2008-04-19 11:37:08.000000000 +0100
@@ -66,7 +66,7 @@
 SUB_FILES+=	pkg-message
 
 .include <bsd.port.pre.mk>
-_PLA_GID!=	/usr/sbin/pw group show -n ${PLA_GRP} | ${CUT} -d : -f 3
+_PLA_GID!=	${PW} group show -n ${PLA_GRP} | ${CUT} -d : -f 3
 .if empty(_PLA_GID)
 _PLA_GID=	80
 .endif
@@ -84,11 +84,11 @@
 	${ECHO_MSG} "please use the net/phpldapadmin098 port instead."
 	${ECHO_MSG} ""
 .if defined(WITH_SUPHP) && !defined(WITHOUT_SUPHP)
-	@if /usr/sbin/pw show -n pldapadm >/dev/null 2>&1 ; then	      \
+	@if ${PW} show -n pldapadm >/dev/null 2>&1 ; then	              \
 	    ${ECHO_MSG} "===> WARNING ******************************" ;	      \
 	    ${ECHO_MSG} "The default username used by ${PKNAME} has changed"; \
 	    ${ECHO_MSG} "to ${PLA_USR} -- you should delete the old user:" ;  \
-	    ${ECHO_MSG} "  # /usr/sbin/pw user del -n pldapadm" ;	      \
+	    ${ECHO_MSG} "  # ${PW} user del -n pldapadm" ;	              \
 	    ${ECHO_MSG} "" ;						      \
 	fi
 .endif
--- phpldapadmin.diff ends here ---
Comment 1 Martin Wilke freebsd_committer 2008-04-19 14:01:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2008-04-24 23:29:40 UTC
miwi        2008-04-24 22:29:35 UTC

  FreeBSD ports repository

  Modified files:
    net/phpldapadmin     Makefile 
    net/phpldapadmin098  Makefile 
  Log:
  - Use ${PW} variable.
  
  PR:             122910
  Submitted by:   Matthew Seaman <m.seaman@infracaninophile.co.uk> (maintainer)
  
  Revision  Changes    Path
  1.25      +3 -3      ports/net/phpldapadmin/Makefile
  1.21      +3 -3      ports/net/phpldapadmin098/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2008-04-24 23:29:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!